.btn{
    outline: 0;
    box-shadow: none;
    height: 3.125rem;
    line-height: 3.0625rem;
    padding-top: 0;
    padding-bottom: 0;

    &:not(.btn-outline-danger):not(.btn-outline-primary):not(.btn-outline-success):not(.btn-outline-warning){
        border: 0;  
    }

    @include media-breakpoint-down(sm){
        height: 2.5rem; //40px
        line-height: 2.5rem;
        font-size: $font-size-sm;
    }
    
    &:not(:disabled):not(.disabled){
        &:hover,
        &:focus,
        &:active,
        &:active:focus{
            outline: 0;
            box-shadow: none;
        }
    }

    &-primary,
    &-primary:not(:disabled):not(.disabled){
        &:hover,
        &:active,
        &:focus{
            background-color: #0059DE;
        }

        &:focus,
        &:active,
        &:active:focus{
            box-shadow: 0px 2px 0px #013583;
        }
    }

    &-danger,
    &-danger:not(:disabled):not(.disabled){
        &:hover,
        &:active,
        &:focus{
            background-color: #EB3434;
        }

        &:focus,
        &:active,
        &:active:focus{
            box-shadow: 0px 2px 0px #D90000;
        }
    }


    &--stretch{
        width: 100%;
    }

    &--fb:not(:disabled):not(.disabled){
        background-color: #3A589E;

        &:hover{
            background-color: darken(#3A589E, 10);
        }
    }

    &--vk:not(:disabled):not(.disabled){
        background-color: #5276A4;

        &:hover{
            background-color: darken(#5276A4, 10);
        }
    }

    & + .btn{
        margin-left: 10px;
    }

    .icon{
        margin-right: 8px;
    }
}